import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeProjectInput } from "../types/DescribeProjectInput";
import { DescribeProjectOutput } from "../types/DescribeProjectOutput";
import { CodeStarResolvedConfiguration } from "../CodeStarConfiguration";
export * from "../types/DescribeProjectInput";
export * from "../types/DescribeProjectOutput";
export * from "../types/DescribeProjectExceptionsUnion";
export declare class DescribeProjectCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeProjectInput, OutputTypesUnion, DescribeProjectOutput, CodeStarResolvedConfiguration, Blob> {
    readonly input: DescribeProjectInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeProjectInput, DescribeProjectOutput, Blob>;
    constructor(input: DescribeProjectInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeStarResolvedConfiguration): __aws_sdk_types.Handler<DescribeProjectInput, DescribeProjectOutput>;
}
