import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DisassociateTeamMemberInput } from "../types/DisassociateTeamMemberInput";
import { DisassociateTeamMemberOutput } from "../types/DisassociateTeamMemberOutput";
import { CodeStarResolvedConfiguration } from "../CodeStarConfiguration";
export * from "../types/DisassociateTeamMemberInput";
export * from "../types/DisassociateTeamMemberOutput";
export * from "../types/DisassociateTeamMemberExceptionsUnion";
export declare class DisassociateTeamMemberCommand implements __aws_sdk_types.Command<InputTypesUnion, DisassociateTeamMemberInput, OutputTypesUnion, DisassociateTeamMemberOutput, CodeStarResolvedConfiguration, Blob> {
    readonly input: DisassociateTeamMemberInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DisassociateTeamMemberInput, DisassociateTeamMemberOutput, Blob>;
    constructor(input: DisassociateTeamMemberInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeStarResolvedConfiguration): __aws_sdk_types.Handler<DisassociateTeamMemberInput, DisassociateTeamMemberOutput>;
}
