import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListProjectsInput } from "../types/ListProjectsInput";
import { ListProjectsOutput } from "../types/ListProjectsOutput";
import { CodeStarResolvedConfiguration } from "../CodeStarConfiguration";
export * from "../types/ListProjectsInput";
export * from "../types/ListProjectsOutput";
export * from "../types/ListProjectsExceptionsUnion";
export declare class ListProjectsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListProjectsInput, OutputTypesUnion, ListProjectsOutput, CodeStarResolvedConfiguration, Blob> {
    readonly input: ListProjectsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListProjectsInput, ListProjectsOutput, Blob>;
    constructor(input: ListProjectsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeStarResolvedConfiguration): __aws_sdk_types.Handler<ListProjectsInput, ListProjectsOutput>;
}
