import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListTeamMembersInput } from "../types/ListTeamMembersInput";
import { ListTeamMembersOutput } from "../types/ListTeamMembersOutput";
import { CodeStarResolvedConfiguration } from "../CodeStarConfiguration";
export * from "../types/ListTeamMembersInput";
export * from "../types/ListTeamMembersOutput";
export * from "../types/ListTeamMembersExceptionsUnion";
export declare class ListTeamMembersCommand implements __aws_sdk_types.Command<InputTypesUnion, ListTeamMembersInput, OutputTypesUnion, ListTeamMembersOutput, CodeStarResolvedConfiguration, Blob> {
    readonly input: ListTeamMembersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListTeamMembersInput, ListTeamMembersOutput, Blob>;
    constructor(input: ListTeamMembersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeStarResolvedConfiguration): __aws_sdk_types.Handler<ListTeamMembersInput, ListTeamMembersOutput>;
}
