"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListUserProfilesInput_1 = require("../shapes/ListUserProfilesInput");
var ListUserProfilesOutput_1 = require("../shapes/ListUserProfilesOutput");
var InvalidNextTokenException_1 = require("../shapes/InvalidNextTokenException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListUserProfiles = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListUserProfiles",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListUserProfilesInput_1.ListUserProfilesInput
    },
    output: {
        shape: ListUserProfilesOutput_1.ListUserProfilesOutput
    },
    errors: [
        {
            shape: InvalidNextTokenException_1.InvalidNextTokenException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=ListUserProfiles.js.map