"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateTeamMemberInput_1 = require("../shapes/UpdateTeamMemberInput");
var UpdateTeamMemberOutput_1 = require("../shapes/UpdateTeamMemberOutput");
var LimitExceededException_1 = require("../shapes/LimitExceededException");
var ProjectNotFoundException_1 = require("../shapes/ProjectNotFoundException");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidServiceRoleException_1 = require("../shapes/InvalidServiceRoleException");
var ProjectConfigurationException_1 = require("../shapes/ProjectConfigurationException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var TeamMemberNotFoundException_1 = require("../shapes/TeamMemberNotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateTeamMember = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateTeamMember",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateTeamMemberInput_1.UpdateTeamMemberInput
    },
    output: {
        shape: UpdateTeamMemberOutput_1.UpdateTeamMemberOutput
    },
    errors: [
        {
            shape: LimitExceededException_1.LimitExceededException
        },
        {
            shape: ProjectNotFoundException_1.ProjectNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidServiceRoleException_1.InvalidServiceRoleException
        },
        {
            shape: ProjectConfigurationException_1.ProjectConfigurationException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        },
        {
            shape: TeamMemberNotFoundException_1.TeamMemberNotFoundException
        }
    ]
};
//# sourceMappingURL=UpdateTeamMember.js.map