import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeUserProfileInput } from "../types/DescribeUserProfileInput";
import { DescribeUserProfileOutput } from "../types/DescribeUserProfileOutput";
import { CodeStarResolvedConfiguration } from "../CodeStarConfiguration";
export * from "../types/DescribeUserProfileInput";
export * from "../types/DescribeUserProfileOutput";
export * from "../types/DescribeUserProfileExceptionsUnion";
export declare class DescribeUserProfileCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeUserProfileInput, OutputTypesUnion, DescribeUserProfileOutput, CodeStarResolvedConfiguration, Blob> {
    readonly input: DescribeUserProfileInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeUserProfileInput, DescribeUserProfileOutput, Blob>;
    constructor(input: DescribeUserProfileInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CodeStarResolvedConfiguration): __aws_sdk_types.Handler<DescribeUserProfileInput, DescribeUserProfileOutput>;
}
