"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateUserProfile_1 = require("../model/operations/UpdateUserProfile");
var UpdateUserProfileCommand = /** @class */ (function () {
    function UpdateUserProfileCommand(input) {
        this.input = input;
        this.model = UpdateUserProfile_1.UpdateUserProfile;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateUserProfileCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateUserProfileCommand;
}());
exports.UpdateUserProfileCommand = UpdateUserProfileCommand;
//# sourceMappingURL=UpdateUserProfileCommand.js.map