"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DisassociateTeamMemberInput_1 = require("../shapes/DisassociateTeamMemberInput");
var DisassociateTeamMemberOutput_1 = require("../shapes/DisassociateTeamMemberOutput");
var ProjectNotFoundException_1 = require("../shapes/ProjectNotFoundException");
var ValidationException_1 = require("../shapes/ValidationException");
var InvalidServiceRoleException_1 = require("../shapes/InvalidServiceRoleException");
var ConcurrentModificationException_1 = require("../shapes/ConcurrentModificationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DisassociateTeamMember = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DisassociateTeamMember",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DisassociateTeamMemberInput_1.DisassociateTeamMemberInput
    },
    output: {
        shape: DisassociateTeamMemberOutput_1.DisassociateTeamMemberOutput
    },
    errors: [
        {
            shape: ProjectNotFoundException_1.ProjectNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        },
        {
            shape: InvalidServiceRoleException_1.InvalidServiceRoleException
        },
        {
            shape: ConcurrentModificationException_1.ConcurrentModificationException
        }
    ]
};
//# sourceMappingURL=DisassociateTeamMember.js.map