"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateUserProfileInput_1 = require("../shapes/UpdateUserProfileInput");
var UpdateUserProfileOutput_1 = require("../shapes/UpdateUserProfileOutput");
var UserProfileNotFoundException_1 = require("../shapes/UserProfileNotFoundException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateUserProfile = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateUserProfile",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: UpdateUserProfileInput_1.UpdateUserProfileInput
    },
    output: {
        shape: UpdateUserProfileOutput_1.UpdateUserProfileOutput
    },
    errors: [
        {
            shape: UserProfileNotFoundException_1.UserProfileNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=UpdateUserProfile.js.map